Name:           xdg-desktop-portal-gtk
Version:        0.9
Release:        %mkrel 1
Summary:        Backend implementation for xdg-desktop-portal using GTK+
Group:          Graphical desktop/GNOME
License:        LGPLv2+
URL:            https://github.com/flatpak/%{name}
Source0:        https://github.com/flatpak/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  systemd
BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
BuildRequires:  pkgconfig(xdg-desktop-portal) >= 0.9
Requires:       dbus
Requires:       xdg-desktop-portal >= 0.9
Requires(post): systemd
Requires(preun): systemd
# (ngompa): FIXME: Re-enable once rich deps are accepted in buildsystem
# Use rich deps to pull in this package when flatpak and gtk3 are both installed
#Supplements:    (flatpak and gtk+3.0)


%description
A backend implementation for xdg-desktop-portal that is using GTK+ and various
pieces of GNOME infrastructure, such as the org.gnome.Shell.Screenshot or
org.gnome.SessionManager D-Bus interfaces.


%prep
%setup -q


%build
%configure2_5x --disable-silent-rules
%make_build


%install
%make_install
%find_lang %{name}


%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service


%files -f %{name}.lang
%license COPYING
%doc NEWS
%{_libexecdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.desktop.gtk.service
%{_datadir}/xdg-desktop-portal/portals/gtk.portal
%{_userunitdir}/%{name}.service





%changelog
* Mon Feb 12 2018 ngompa <ngompa> 0.9-1.mga6
+ Revision: 1200615
- Update to 0.9 from Cauldron

* Sun Apr 02 2017 ngompa <ngompa> 0.6-1.mga6
+ Revision: 1095719
- Update to 0.6

* Wed Dec 14 2016 ngompa <ngompa> 0.3-2.mga6
+ Revision: 1074888
- imported package xdg-desktop-portal-gtk

